%define oname		secret

%define api		1
%define major		0
%define gi_major	1
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname -d %{oname}
%define girname		%mklibname %{oname}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libsecret
Version:	0.18
Release:	%mkrel 4
Summary:	Library for storing and retrieving passwords and other secrets
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Libsecret
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool
BuildRequires:	libgcrypt-devel
BuildRequires:	xsltproc
BuildRequires:	docbook-dtds
BuildRequires:	docbook-xsl
BuildRequires:	docbook-style-xsl
BuildRequires:	libxml2-utils
BuildRequires:	vala-tools

%description
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package tools
Group:		System/Base
Summary:	Tools for libsecret
Requires:	%{name}-i18n >= %{version}-%{release}

%description tools
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package i18n
Summary:	Library for the secret protocol - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package -n %{libname}
Summary:	Library for the secret protocol
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
Requires:	%{name}-tools >= %{version}-%{release}
Obsoletes:	%{_lib}%{oname}0 < 0.6.1

%description -n %{libname}
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for secret
Group:		System/Libraries
Conflicts:	%{_lib}secret7
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for secret.

%prep
%setup -q

%build
%configure2_5x \
	--enable-introspection=yes \
	--enable-vala=yes \
	--disable-static
%make

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files i18n -f %{name}.lang

%files tools
%{_bindir}/secret-tool
%{_mandir}/man1/secret-tool.1*

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}/
%{_includedir}/*
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-unstable.pc
%{_datadir}/gir-1.0/Secret-%{gi_major}.gir
%{_datadir}/vala/vapi/*

%files -n %{girname}
%{_libdir}/girepository-1.0/Secret-%{gi_major}.typelib


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.18-4.mga5
+ Revision: 743231
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.18-3.mga5
+ Revision: 724928
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.18-2.mga5
+ Revision: 681771
- Mageia 5 Mass Rebuild

* Thu Mar 06 2014 ovitters <ovitters> 0.18-1.mga5
+ Revision: 600541
- new version 0.18

* Sat Nov 09 2013 ovitters <ovitters> 0.16-3.mga4
+ Revision: 550183
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.16-2.mga4
+ Revision: 533150
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 ovitters <ovitters> 0.16-1.mga4
+ Revision: 471887
- new version 0.16

* Sat Jun 15 2013 wally <wally> 0.15-2.mga4
+ Revision: 443321
- build vala bindings

* Fri May 24 2013 dams <dams> 0.15-1.mga4
+ Revision: 426217
- new version 0.15

* Wed Apr 10 2013 dams <dams> 0.14-1.mga3
+ Revision: 409395
- new version 0.14

* Sat Jan 12 2013 umeabot <umeabot> 0.12-2.mga3
+ Revision: 358130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 ovitters <ovitters> 0.12-1.mga3
+ Revision: 320062
- new version 0.12

* Tue Sep 18 2012 ovitters <ovitters> 0.10-1.mga3
+ Revision: 295893
- new version 0.10

* Mon Aug 20 2012 ovitters <ovitters> 0.9-1.mga3
+ Revision: 282616
- update file list
- br docbook-dtds,docbook-xsl,docbook-style-xsl,libxml2-utils
- br xsltproc
- new version 0.9

* Mon Aug 06 2012 ovitters <ovitters> 0.8-1.mga3
+ Revision: 279343
- new version 0.8

* Mon Jul 16 2012 ovitters <ovitters> 0.7-1.mga3
+ Revision: 271343
- new version 0.7

  + fwang <fwang>
    - i18n is a noarch package

* Sat Jul 14 2012 wally <wally> 0.6-1.mga3
+ Revision: 270680
- fix lib pkg name
- loose deps a bit to allow to keep old libs
- clean .spec

  + ovitters <ovitters>
    - new version 0.6

* Sun Jul 01 2012 ovitters <ovitters> 0.3-1.mga3
+ Revision: 266065
- imported package libsecret

